> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Detect

> This endpoint will return the Language of the Text



## OpenAPI

````yaml /openapi/x.openapi.json post /v1/data/x/translate/detect
openapi: 3.0.0
info:
  title: agntdata X (Twitter) API
  description: >-
    Introducing "The Old Bird" API, a robust Twitter API designed to unlock
    valuable Twitter data effortlessly. With this API, you can access tweet
    details, user followers, followings, post engagements, and more. Explore
    top, latest, videos, photos, and people through our comprehensive search
    functionality. Retrieve user-specific information, including tweets,
    replies, media, likes, and profile details by username or ID.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Search
    description: ''
  - name: Hashtag
    description: ''
  - name: Tweet
    description: ''
  - name: Lists
    description: ''
  - name: Trends
    description: ''
  - name: Translation
    description: Translate Service
  - name: AI
    description: A set of AI related services
paths:
  /v1/data/x/translate/detect:
    post:
      tags:
        - Translation
      summary: Detect
      description: This endpoint will return the Language of the Text
      operationId: Detect_post__translate_detect
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
            example:
              text: >-
                A panel on AI at the Paris Peace Forum today.  Starting at
                42'00, I plot the future of AI: all of our interactions with the
                digital world will be mediated by AI assistants that will
                eventually become smarter than us. Because they will become a
                common infrastructure containing all human culture and
                knowledge, they will need to be open/open source, just like the
                software infrastructure of the Internet is open/open source, and
                their training will need to be crowd-sourced, just like
                Wikipedia (see 46'00 in) This is one reason Meta made Llama-2
                open/open source/free.  In response to my tirade, Microsoft
                President Brad Smith had a very curious response (48'00). He
                said "Meta is owned by shareholders. OpenAI is owned by a
                nonprofit . Which would you have more confidence in? Getting
                your technology from a non profit? or a for-profit company that
                is entirely controlled by one human being?" This totally
                misrepresents what open access/open source means.  I thought
                Microsoft had moved beyond its anti open source stance of the
                1990s.  Doesn't Azure run on Linux these days?
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_x_translate_detect_Response'
              example:
                lang: eng
                confidence: 1
                script: Latin
                is_reliable: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Post_x_translate_detect_Response:
      type: object
      properties:
        lang:
          type: string
        confidence:
          type: integer
        script:
          type: string
        is_reliable:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````